Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("4ABFE52F-57FC-467A-94A7-5F2C54EC5702")]
   public interface IClassificationEnsembleModel : IClassificationModel {
     void Add(IClassificationModel model);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationEnsembleSolution.cs	(revision 14712)
@@ -23,4 +23,5 @@
 using HeuristicLab.Core;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("61AB39D0-A8EE-4FCF-A2CF-9F1E6D070695")]
   public interface IClassificationEnsembleSolution : IClassificationSolution {
     new IClassificationEnsembleModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F01D7E8A-56A7-4890-BD9C-262C210F14DA")]
   public interface IClassificationModel : IDataAnalysisModel {
     IEnumerable<double> GetEstimatedClassValues(IDataset dataset, IEnumerable<int> rows);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("86326FA1-14E2-4182-B8D8-D9C20B25A149")]
   public interface IClassificationProblem : IDataAnalysisProblem<IClassificationProblemData> {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("37AB76AB-60A0-4EE1-AD5D-5180F971970F")]
   public interface IClassificationProblemData : IDataAnalysisProblemData {
     string TargetVariable { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("2F1B4DBC-CC8C-4B52-B89E-97E9F122DE34")]
   public interface IClassificationSolution : IDataAnalysisSolution {
     new IClassificationModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs	(revision 14712)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("DF44663F-8960-45BF-B23A-96E4C4582364")]
   public interface IDiscriminantFunctionClassificationModel : IClassificationModel {
     IEnumerable<double> Thresholds { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs	(revision 14712)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("46C9CB2E-CA8E-459B-B0BF-961B56CBC32F")]
   public interface IDiscriminantFunctionClassificationSolution : IClassificationSolution {
     new IDiscriminantFunctionClassificationModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 using HeuristicLab.Core;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F4F17275-AC9C-4FCD-8215-298F12ED063F")]
   public interface IDiscriminantFunctionThresholdCalculator : INamedItem {
     void Calculate(IClassificationProblemData problemData, IEnumerable<double> estimatedValues, IEnumerable<double> targetClassValues, out double[] classValues, out double[] thresholds);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FC300384-EA52-4D00-BEA1-CD3A691173C0")]
   public interface IClusteringModel : IDataAnalysisModel {
     IEnumerable<int> GetClusterValues(IDataset dataset, IEnumerable<int> rows);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("901C51FB-0BE0-407C-A960-ABFC0871F75A")]
   public interface IClusteringProblem : IDataAnalysisProblem<IClusteringProblemData> {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("CA94493F-66B5-41B0-9BC4-8E9753362724")]
   public interface IClusteringProblemData : IDataAnalysisProblemData {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("7C1BB5B0-685F-4DAE-84FB-7196C5F151A7")]
   public interface IClusteringSolution : IDataAnalysisSolution {
     new IClusteringModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("7D7CF611-534C-49AC-862E-3BB3C21543C3")]
   public interface IDataAnalysisModel : INamedItem {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("1B447ACD-2B52-4DA6-93FB-8BE9FC7455E7")]
   public interface IDataAnalysisProblem : IProblem {
     IParameter ProblemDataParameter { get; }
@@ -31,4 +32,5 @@
   }
 
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FC68A680-06D0-4DFF-8E5C-1F21DE7E2F94")]
   public interface IDataAnalysisProblem<T> : IDataAnalysisProblem
   where T : class, IDataAnalysisProblemData {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs	(revision 14712)
@@ -26,4 +26,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("313EA6D7-C03F-4C49-84C7-B2EA3874C446")]
   public interface IDataAnalysisProblemData : INamedItem {
     bool IsEmpty { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FCE8CEF9-48C1-4831-81A8-93BD48385D63")]
   public interface IDataAnalysisSolution : INamedItem, IStorableContent {
     IDataAnalysisModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("C60CA407-8048-4077-BDCE-F9DEACC2E369")]
   public interface IDataAnalysisSolutionExporter {
     string FileTypeFilter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs	(revision 14712)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("12D6DE76-6EEE-48AD-85D8-14894FDE84AF")]
   public interface IDataset : IItem, IStringConvertibleMatrix {
     IEnumerable<string> VariableNames { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("1ECEDAF5-8A22-4258-9E51-53E6A96EA995")]
   public interface IDependencyCalculator {
     double Maximum { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs	(revision 14712)
@@ -38,4 +38,5 @@
     InsufficientElementsAdded = 2
   }
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("D8498D72-9CAB-45AD-B1BC-3BB464E90DCF")]
   public interface IOnlineCalculator {
     OnlineCalculatorError ErrorState { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("367BE66F-757F-4FE7-9A89-58C2F80CEAA4")]
   public interface ITransformation : IParameterizedItem {
     string ShortName { get; }
@@ -29,4 +30,5 @@
   }
 
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("DFC6A575-0DE6-4827-8B5D-DAB41363D7E7")]
   public interface ITransformation<T> : ITransformation {
     IEnumerable<T> Apply(IEnumerable<T> data);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs	(revision 14712)
@@ -22,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B8B606C3-97B7-480A-BE2A-4817EB09AC4C")]
   public interface ITransformationMapper<out T> {
     T GenerateModel(ITransformation transformation);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("01127B0C-FE5D-4E71-8BA7-281A96270A00")]
   public interface IRegressionEnsembleModel : IRegressionModel {
     void Add(IRegressionModel model);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs	(revision 14712)
@@ -23,4 +23,5 @@
 using HeuristicLab.Core;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("3322F3E6-6859-4C20-8776-7BE03BFBAC54")]
   public interface IRegressionEnsembleSolution : IRegressionSolution {
     new IRegressionEnsembleModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("4501CE10-2471-48DF-BE55-3500CD656046")]
   public interface IRegressionModel : IDataAnalysisModel {
     IEnumerable<double> GetEstimatedValues(IDataset dataset, IEnumerable<int> rows);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("0DE32D33-30A5-403C-845C-6EEB65D3D6A4")]
   public interface IRegressionProblem : IDataAnalysisProblem<IRegressionProblemData> {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("311921D4-EA53-42BD-8717-26BBDF91ED8F")]
   public interface IRegressionProblemData : IDataAnalysisProblemData {
     string TargetVariable { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("CBF141A9-6DC5-41D3-AE65-E8503546920C")]
   public interface IRegressionSolution : IDataAnalysisSolution {
     new IRegressionModel Model { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("5B248307-28CA-485D-98A4-C6266F346A4C")]
   public interface IOnlineTimeSeriesCalculator {
     OnlineCalculatorError ErrorState { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("C30F82F3-665E-4A82-81A4-837CDA19AFD8")]
   public interface ITimeSeriesPrognosisModel : IRegressionModel {
     IEnumerable<IEnumerable<double>> GetPrognosedValues(IDataset dataset, IEnumerable<int> rows, IEnumerable<int> horizons);
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("6F75BBEB-C51B-4265-9E84-5ADA91E0D135")]
   public interface ITimeSeriesPrognosisProblem : IDataAnalysisProblem<ITimeSeriesPrognosisProblemData> {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("EE95A7DC-4B24-4961-A158-5C7848B061C1")]
   public interface ITimeSeriesPrognosisProblemData : IRegressionProblemData {
     int TrainingHorizon { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 14712)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.DataAnalysis {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("ED3CEC98-1E5F-4C1E-B00E-53DDCC9141BB")]
   public interface ITimeSeriesPrognosisSolution : IRegressionSolution {
     new ITimeSeriesPrognosisModel Model { get; }
